/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.view.fragment.signup;

import android.view.View;
import android.widget.TextView;

import kr.co.zumo.app.R;
import kr.co.zumo.app.lifeplus.view.presenter.signup.SignUpItem;
import kr.co.zumo.app.lifeplus.bean.SignUpTextWithTitleBean;

/**
 * SignUpTextWithTitleHolder
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 9. 12.]   [최초 작성]
 * @since 2018. 9. 12.
 */
public class SignUpTextWithTitleHolder extends BaseViewHolder {
  public SignUpTextWithTitleHolder(View itemView) {
    super(itemView);
  }

  @Override
  void draw(SignUpItem item) {

    SignUpTextWithTitleBean bean = item.getBean(SignUpTextWithTitleBean.class);

    String title = bean.getTitle();
    String content = bean.getText();

    ((TextView) itemView.findViewById(R.id.title_text)).setText(title);
    ((TextView) itemView.findViewById(R.id.content_text)).setText(content);

  }

  @Override
  public void setDisabled() {

  }

  @Override
  public void setEnabled() {

  }
}
